| HOpenGL Libraries (OpenGL package) | Contents | Index

Graphics.Rendering.OpenGL.GL.Texturing.Environments

Portability | portable
Stability | provisional
Maintainer | sven.panne@aedion.de

Description
This module corresponds to section 3.8.13 (Texture Environments and Texture Functions) of the OpenGL 1.5 specs.
Documentation
data TextureFunction

Constructors

Modulate |
Decal |
Blend |
Replace |
AddUnsigned |
Combine |
Combine4 |

Instances

Eq TextureFunction
Ord TextureFunction
Show TextureFunction

textureFunction :: StateVar TextureFunction
data TextureCombineFunction

Constructors

Replace' |
Modulate' |
AddUnsigned' |
AddSigned |
Interpolate |
Subtract |
Dot3RGB |
Dot3RGBA |

Instances

Eq TextureCombineFunction
Ord TextureCombineFunction
Show TextureCombineFunction

combineRGB :: StateVar TextureCombineFunction
combineAlpha :: StateVar TextureCombineFunction
data ArgNum

Constructors

Arg0 |
Arg1 |
Arg2 |
Arg3 |

Instances

Eq ArgNum
Ord ArgNum
Show ArgNum

data Arg

Constructors

Arg BlendingFactor Src |

Instances

Eq Arg
Ord Arg
Show Arg

data Src

Constructors

CurrentUnit |
Previous |
Crossbar TextureUnit |
Constant |
PrimaryColor |

Instances

Eq Src
Ord Src
Show Src

argRGB :: ArgNum -> StateVar Arg
argAlpha :: ArgNum -> StateVar Arg
rgbScale :: StateVar GLfloat
alphaScale :: StateVar GLfloat
constantColor :: StateVar (Color4 GLfloat)
textureUnitLODBias :: StateVar LOD
Produced by Haddock version 0.7